javax.faces.component.html

## Enum HtmlColumn.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlColumn.PropertyKeys>
  - - javax.faces.component.html.HtmlColumn.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlColumn.PropertyKeys>
  Enclosing class:
    HtmlColumn

      protected static enum HtmlColumn.PropertyKeys
      extends Enum<HtmlColumn.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `footerClass`
    `headerClass`
    `rowHeader`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlColumn.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlColumn.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### footerClass

          public static final HtmlColumn.PropertyKeys footerClass

    - #### headerClass

          public static final HtmlColumn.PropertyKeys headerClass

    - #### rowHeader

          public static final HtmlColumn.PropertyKeys rowHeader

  - ### Method Detail

    - #### values

          public static HtmlColumn.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlColumn.PropertyKeys c : HtmlColumn.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlColumn.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlColumn.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.